> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/reference/projects/data-access.md).

# Data access

When organizations configure access to restricted datasets, they will often define a series of requirements that must be completed and approved prior to gaining access.

Some of these requirements are fulfilled by individual users, with each investigator applying separately. However, [other requirements](/reference/organizations/requirements.md#applicant-type) are configured to be approved in the context of a project, where the project itself must be approved for access. For example, an IRB protocol may be approved once per project.

## Requirement approvals

When you add datasets to a project, any project requirements will appear on the **Access approvals** tab of this project. You can [complete and submit the requirement](/reference/data-access/requesting-access.md) from this page, or by navigating to any dataset and applying for access there. &#x20;

When administrators respond to this approval request, project collaborators will be notified based on the project's [notification settings](/reference/projects/create-and-edit-projects.md#settings). You can also track the status of all of your project's approvals from this tab.

Applying for access through a project will [automatically grant](/reference/projects/collaboration-and-sharing.md#organizations) the administrators of the corresponding organization visibility into your project.

## Projects and workflow capabilities

If access to data is governed through a [governed through a project](/reference/data-access/requesting-access.md#project-requirement-approval), all of your analyses on such data must occur within an approved project. This means that all workflows that work with project-restricted data must be [assigned](/reference/workflows/collaboration-and-sharing.md#project-assignment) to an approved project.

If your workflow is not in an approved project, you may still be able to see the workflow's contents, but you will not be able to run transforms, queries, and notebooks until either the workflow is moved to an approved project, or the workflow's project receives approval for the restricted datasets.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/reference/projects/data-access.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
